Error when starting vim #44

Closed
cmoel opened this Issue Mar 27, 2013 · 6 comments

Comments

Projects
None yet
2 participants

cmoel commented Mar 27, 2013

I just updated auto-pairs to 0a79f50, which displays the following error when I start vim:
Screen Shot 2013-03-26 at 9 17 50 PM

I also see different errors when opening files. I found that when using d23864f and before, there are no errors. For now, I've reverted to d23864f and will try to patch and send a pull request when I can.

Owner

jiangmiao commented Mar 27, 2013

What's your vim version?

Owner

jiangmiao commented Mar 27, 2013

it seems you are using vim 7.2 which didn't support advancer maparg.

@jiangmiao jiangmiao closed this in 24ffa78 Mar 27, 2013

cmoel commented Mar 27, 2013

I'm running vim 7.3. It's the standard distribution that comes with Mac OS X 10.8. I'll look to see if I can troubleshoot this further and will let you know if I find anything interesting.

On Mar 27, 2013, at 12:02 AM, Miao Jiang notifications@github.com wrote:

it seems you are using vim 7.2 which didn't support advancer maparg.


Reply to this email directly or view it on GitHub.

Owner

jiangmiao commented Mar 27, 2013

The error message is: Too many arguments for function maparg.
run help maparg will see it could take 4 arguments or not.

Owner

jiangmiao commented Mar 27, 2013

Now the version check should be correct. before 7.3.32 instead of 7.3

cmoel commented Mar 28, 2013

Perfect! Thanks for you help.

On Mar 27, 2013, at 12:54 PM, Miao Jiang notifications@github.com wrote:

Now the version check should be correct. before 7.3.32 instead of 7.3


Reply to this email directly or view it on GitHub.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment